Name:           kde-pdf-servicemenu
Version:        2.3
Release:        %mkrel 2
License:        GPLv3
Summary:        Various KDE service menus actions for PDF files
Group:          Graphical desktop/KDE
URL:            https://www.pling.com/p/1227799/
Source0:        kde-service-menu-pdf_%{version}_all.tar.gz
Patch0:         kde-pdf-servicemenu-fix-mga#33564.patch
BuildArch:      noarch

Requires:       plasma-workspace
Requires:       pdf2djvu
Requires:       ghostscript
Requires:       poppler

%description
Here are various KDE service menus for PDF documents:

- Print menu
- DjVu menu: Convert PDF document to DjVu file.
- Ghostscript menu:
    Optimize PDF document
    Convert PDF document to png, jpeg, fax images.
- Convert to PostScript
- pdfinfo menu
- poppler-utils service menu:
    Convert a PDF document to HTML page
    Convert a PDF document to one or more images
    Extract images from PDF documents
    Convert PDF document to text


%package -n kde-pdfnup-servicemenu
Summary:        Convert PDF to "n-up" PDF KDE service menu
Group:          Graphical desktop/KDE

Requires:       plasma-workspace
Requires:       texlive-texmf

%description -n kde-pdfnup-servicemenu
KDE service menus for PDF documents:
- pdfjam service menu:
    2 pages per sheet
    4 pages per sheet
    6 pages per sheet
    8 pages per sheet
    Custom pages per sheet
   (It's possible to choose if you want framed or no-framed)

%prep
%autosetup -p1 -n kde-service-menu-pdf_%{version}_all

%build
#Nothing to do

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/kio/servicemenus
install -m 755 bin/* %{buildroot}%{_bindir}
install -m 644 ServiceMenus/*.desktop %{buildroot}%{_datadir}/kio/servicemenus

%files
%license doc/copyright
%doc doc/changelog doc/README
%exclude %{_bindir}/pdfbook-kdialog
%exclude %{_datadir}/kio/servicemenus/pdf-repaginate.desktop
%{_bindir}/*
%{_datadir}/kio/servicemenus/*

%files -n kde-pdfnup-servicemenu
%license doc/copyright
%doc doc/booklet_example/*.pdf doc/changelog doc/README
%{_bindir}/pdfbook-kdialog
%{_datadir}/kio/servicemenus/pdf-repaginate.desktop


%changelog
* Thu Nov 07 2024 daviddavid <daviddavid> 2.3-2.mga10
+ Revision: 2112956
- add Aurelian R patch to fix more kde-pdf-servicemenu usage (mga#33564#c4)

* Wed Sep 18 2024 daviddavid <daviddavid> 2.3-1.mga10
+ Revision: 2097928
- new version: 2.3 (mga#33564)

* Sun Mar 20 2022 umeabot <umeabot> 0.6-10.mga9
+ Revision: 1802435
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6-9.mga8
+ Revision: 1493538
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6-8.mga7
+ Revision: 1266321
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 luigiwalser <luigiwalser> 0.6-7.mga6
+ Revision: 1106422
- drop pdftk parts again

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.6-6.mga6
+ Revision: 1046185
- test rebuild for poppler

* Thu Jun 09 2016 daviddavid <daviddavid> 0.6-5.mga6
+ Revision: 1020940
- convert to kf5 for Plasma 5 compatibility
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Nov 21 2015 dglent <dglent> 0.6-3.mga6
+ Revision: 904702
- Restore servicemenus using pdftk

* Tue Dec 09 2014 lmenut <lmenut> 0.6-2.mga5
+ Revision: 802535
- remove servicemenus using pdftk
- restore kde-pdf-servicemenu
+ luigiwalser <luigiwalser>
- retire due to pdftk (due to gcj)

* Thu Jun 05 2014 dglent <dglent> 0.6-1.mga5
+ Revision: 633347
- New version 0.6

* Thu Dec 19 2013 dglent <dglent> 0.5-1.mga4
+ Revision: 558790
- imported package kde-pdf-servicemenu

